FUNCTION main() AS LONG
    LOCAL i AS LONG
    LOCAL s AS LONG
    i = 0
    s = 0
    DO WHILE i < 5
        i = i + 1
        IF i = 3 THEN ITERATE DO
        s = s + i
    LOOP
    WHILE s < 20
        s = s + 2
    WEND
    main = s
END FUNCTION
